Rust 1.29.0-nightly
866a71325

# Attributes

There is a new edition of the book and this is an old link.

> Any item declaration may have an attribute applied to it.

    // A function marked as a unit test
    #[test]
    fn test_foo() {
        /* ... */
    }Run

Here are the relevant sections in the new and old books:

- In the Rust Reference: Ch 5.3 — Attributes
- In the first edition: Ch 3.27 — Attributes